Clear Contact List
curl --request POST \
--url https://integration.getmateo.com/api/v1/contact_list/clear \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>"
}
'import requests
url = "https://integration.getmateo.com/api/v1/contact_list/clear"
payload = {
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_list_external_id: '<string>'
})
};
fetch('https://integration.getmateo.com/api/v1/contact_list/clear', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>"
}{
"success": true
}Contact List
Clear Contact List
Clear all members from a contact list
Clear Contact List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID of the contact list to clear
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$External ID of the contact list to clear
Response
Contact list cleared successfully
⌘I